package http_model

import "youngee_b_api/model/gorm_model"

type SpecialAddStrategyRequest struct {
	SProjectId         int                          `json:"s_project_id"`         // 服务商种草任务ID
	RecruitStrategys   []gorm_model.RecruitStrategy `json:"recruit_strategys"`    // 招募策略
	CreateStrategyId   int                          `json:"create_strategy_id"`   // 替换招募策略操作人ID
	CreateStrategyType int                          `json:"create_strategy_type"` // 服务商修改服务费操作人类型：1服务商主账号，2子账号
}

func NewSpecialAddStrategyRequest() *SpecialAddStrategyRequest {
	return new(SpecialAddStrategyRequest)
}

func NewSpecialAddStrategyResponse() *CommonResponse {
	resp := new(CommonResponse)
	return resp
}
